libzypp 17.37.10

ztui::out::XmlFormaterAdaptor< TFormater > Class Template Reference

Adaptor. More...

`#include <zypp-tui/output/Out.h>`

## Public Types
using | NormalLayout = XmlListLayout

## Public Member Functions
template<class Tp>
std::string | listElement (const Tp &val_r) const
| XmlFormaterAdaptor (const TFormater &formater_r)

## Private Attributes
const TFormater & | _formater

## Detailed Description

template<class TFormater>
class ztui::out::XmlFormaterAdaptor< TFormater >

Adaptor.

Adaptor mapping xmlListElement->listElement for container XML output.

Definition at line 197 of file Out.h.

## Member Typedef Documentation

## ◆ NormalLayout

template<class TFormater>

using ztui::out::XmlFormaterAdaptor< TFormater >::NormalLayout = XmlListLayout

Definition at line 199 of file Out.h.

## Constructor & Destructor Documentation

## ◆ XmlFormaterAdaptor()

template<class TFormater>

ztui::out::XmlFormaterAdaptor< TFormater >::XmlFormaterAdaptor | ( | const TFormater & | formater_r | ) |
| inline

Definition at line 205 of file Out.h.

## Member Function Documentation

## ◆ listElement()

template<class TFormater>
template<class Tp>

std::string ztui::out::XmlFormaterAdaptor< TFormater >::listElement | ( | const Tp & | val_r | ) | const
| inline

Definition at line 202 of file Out.h.

## Member Data Documentation

## ◆ _formater

template<class TFormater>

const TFormater& ztui::out::XmlFormaterAdaptor< TFormater >::_formater
| private

Definition at line 209 of file Out.h.

The documentation for this class was generated from the following file:

- zypp-tui/output/Out.h